FreshPorts - VuXML

This page displays vulnerability information about FreeBSD Ports.

The last vuln.xml file processed by FreshPorts is:

Revision:  373433
Date:      2014-11-25
Time:      21:42:42Z
Committer: naddy

List all Vulnerabilities, by package

List all Vulnerabilities, by date

These are the vulnerabilities relating to the commit you have selected:

VuXML IDDescription
b9a347ac-8671-11e2-b73c-0019d18c446atypo3 -- Multiple vulnerabilities in TYPO3 Core

Typo Security Team reports:

Extbase Framework - Failing to sanitize user input, the Extbase database abstraction layer is susceptible to SQL Injection. TYPO3 sites which have no Extbase extensions installed are not affected. Extbase extensions are affected if they use the Query Object Model and relation values are user generated input. Credits go to Helmut Hummel and Markus Opahle who discovered and reported the issue.

Access tracking mechanism - Failing to validate user provided input, the access tracking mechanism allows redirects to arbitrary URLs. To fix this vulnerability, we had to break existing behaviour of TYPO3 sites that use the access tracking mechanism (jumpurl feature) to transform links to external sites. The link generation has been changed to include a hash that is checked before redirecting to an external URL. This means that old links that have been distributed (e.g. by a newsletter) will not work any more.


Discovery 2013-03-06
Entry 2013-03-06
typo3
ge 4.5.0 lt 4.5.23

ge 4.6.0 lt 4.6.16

ge 4.7.0 lt 4.7.8

ge 6.0.0 lt 6.0.2

http://typo3.org/teams/security/security-bulletins/typo3-core/typo3-core-sa-2013-001/
e6839625-fdfa-11e2-9430-20cf30e32f6dtypo3 -- Multiple vulnerabilities in TYPO3 Core

Typo Security Team reports:

It has been discovered that TYPO3 Core is vulnerable to Cross-Site Scripting and Remote Code Execution.

TYPO3 bundles flash files for video and audio playback. Old versions of FlowPlayer and flashmedia are susceptible to Cross-Site Scripting. No authentication is required to exploit this vulnerability.

The file upload component and the File Abstraction Layer are failing to check for denied file extensions, which allows authenticated editors (even with limited permissions) to upload php files with arbitrary code, which can then be executed in web server's context.


Discovery 2013-07-30
Entry 2013-08-05
typo3
ge 4.5.0 lt 4.5.29

ge 4.7.0 lt 4.7.14

ge 6.1.0 lt 6.1.3

CVE-2011-3642
CVE-2013-1464